import { Extension } from '@codemirror/state';
import { HighlightStyle } from '@codemirror/highlight';

/**
The editor theme styles for Gruvbox Light.
*/
declare const gruvboxLightTheme: Extension;
/**
The highlighting style for code in the Gruvbox Light theme.
*/
declare const gruvboxLightHighlightStyle: HighlightStyle;
/**
Extension to enable the Gruvbox Light theme (both the editor theme and
the highlight style).
*/
declare const gruvboxLight: Extension;

export { gruvboxLight, gruvboxLightHighlightStyle, gruvboxLightTheme };
